/**
 * A simple app to count votes for political candidates
 * 
 * @author Sara Sheehan
 * @date February 1, 2016
 *
 */
public class VoteCounter {
	
	private static int TOTAL_VOTES;
	
	/** Adds a vote for the selected candidate */
	private static void vote(Candidate candidate) {
		candidate.addVote();
		TOTAL_VOTES += 1;
	}
	
	/**
     *  Carries out the voting process
     *  
     *  @param args  Command line arguments
     */
    public static void main(String[] args) {
        
    	// create some candidates
    	Candidate hillary = new Candidate("Hillary Clinton");
    	Candidate bernie  = new Candidate("Bernie Sanders");
    	
    	// vote for candidates
    	for (int i=0; i < 85383; i++) {
    		vote(hillary);
    	}
    	for (int i=0; i < 84698; i++) {
    		vote(bernie);
    	}
    	
    	// print the results as *percentages*
    	System.out.println(hillary.getName() + " has " + 
    			hillary.getPercentage(TOTAL_VOTES) + " percent of the votes.");
    	System.out.println(bernie.getName() + " has " + 
    			bernie.getPercentage(TOTAL_VOTES) + " percent of the votes.");
    }
}
